Subject: Re: r8169 crash

From: "Denys" <[email-masked]>
Date: Mon, 19 Nov 2007 01:31:17 +0200

Maybe it is good idea to print some registers/etc in watchdog message?

I will try to reproduce problem with debug enabled, maybe it will be possible 
to catch problem with more debug. 

On Sun, 18 Nov 2007 22:00:38 +0100, Francois Romieu wrote
> Denys <[email-masked]> :
> > 
> > Before it happens on 2.6.22, i tried to attach good cable, plug-unplug, 
> > whatever, interface up/down - card still remains dead.
> 
> A few things have changed since 2.6.22 but I'll take that it is a
> real bug and that 2.6.23 would not recover either. Can you fill a
> PR at http://bugzilla.kernel.org, add a lspci -vvvxxxx and a dmesg ?
> 
> A dmesg including the watchdog message would be nice but if you can
> not retrieve one, a dmesg from your current 2.6.23.x kernel should be
> enough.
> 
> I'll take care of it once I am done with the sis190 watchdog failure
> (nothing hard, simply ugly).
> 
> [...]
> > I try to plug cable to laptop with rtl8139 and pc with e100 - it is 
worked 
> > when i shake bad cable(interface was going up/down as well), and good 
cable 
> > also worked fine, and never crashed. On 2.6.22 i was able to reproduce it 
> > easily, but later i can't cause it is server in internet cafe, and 
customers 
> > going crazy.
> 
> :o/
> 
> -- 
> Ueimor
> -
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

--
Denys Fedoryshchenko
Technical Manager
Virtual ISP S.A.L.